package cn.ysk.cashier.dto.shop;

import cn.ysk.cashier.mybatis.entity.TbShopAd;
import lombok.Data;

import java.util.Date;

/**
 * @author GYJ
 */
@Data
public class TbShopAdDto {
    private Integer id;
    private Integer shopId;
    private String imgUrl;
    private String linkPath;
    private Integer borderRadius;
    private String showPosition;
    private String frequency;
    private Integer status;
    private Integer sort;
    private Date createTime;
    private Date updateTime;

    public TbShopAd convertToTbShopAd() {
        TbShopAd tbShopAd = new TbShopAd();
        tbShopAd.setId(this.id);
        tbShopAd.setShopId(this.shopId);
        tbShopAd.setImgUrl(this.imgUrl);
        tbShopAd.setLinkPath(this.linkPath);
        tbShopAd.setBorderRadius(this.borderRadius);
        tbShopAd.setShowPosition(this.showPosition);
        tbShopAd.setFrequency(this.frequency);
        tbShopAd.setStatus(this.status);
        tbShopAd.setSort(this.sort);
        tbShopAd.setCreateTime(this.createTime);
        tbShopAd.setUpdateTime(this.updateTime);
        return tbShopAd;
    }
}
